Subject: Numpy on Cygwin
From: "Jochen Küpper" <[email-masked]>
To: Numpy Discussion <[email-masked]>, Cygnus <[email-masked]>
Date: 03 Jul 2001 10:14:24 -0400

Dear All,

I have had some problems with 
  Cannot export _bss_end__: symbol not defined
messages and friends again for the cvs Numerical Python package.

Although the LAPACK-module uses the DL_EXPORT approach and works fine,
the other packages apparently try the .def-approach (which I barely
heard about); this packages do not build for me on latest Cygwin. (I
have not tried it on older ones.)

Putting DL_EXPORTs around all the init-functions fixes this for me:

Index: Packages/FFT/Src/fftpackmodule.c
===================================================================
RCS file: /cvsroot/numpy/Numerical/Packages/FFT/Src/fftpackmodule.c,v
retrieving revision 1.1
diff -u -r1.1 fftpackmodule.c
--- Packages/FFT/Src/fftpackmodule.c	2000/07/06 16:54:16	1.1
+++ Packages/FFT/Src/fftpackmodule.c	2001/07/03 14:06:48
@@ -238,7 +238,7 @@
 ""
 ;
 
-void
+DL_EXPORT(void)
 initfftpack()
 {
 	PyObject *m, *d;
Index: Packages/RNG/Src/RNGmodule.c
===================================================================
RCS file: /cvsroot/numpy/Numerical/Packages/RNG/Src/RNGmodule.c,v
retrieving revision 1.1
diff -u -r1.1 RNGmodule.c
--- Packages/RNG/Src/RNGmodule.c	2000/07/06 16:54:17	1.1
+++ Packages/RNG/Src/RNGmodule.c	2001/07/03 14:06:49
@@ -613,7 +613,7 @@
 "Random number generator: independent random number streams."
 ;
 
-void
+DL_EXPORT(void)
 initRNG()
 {
 	PyObject *m, *d;
Index: Packages/kinds/Src/_kindsmodule.c
===================================================================
RCS file: /cvsroot/numpy/Numerical/Packages/kinds/Src/_kindsmodule.c,v
retrieving revision 1.1
diff -u -r1.1 _kindsmodule.c
--- Packages/kinds/Src/_kindsmodule.c	2001/04/17 23:35:10	1.1
+++ Packages/kinds/Src/_kindsmodule.c	2001/07/03 14:06:49
@@ -10,7 +10,7 @@
     {NULL,		NULL, 0}		/* sentinel */
 };
 
-void
+DL_EXPORT(void)
 init_kinds()
 {
 	PyObject *m, *d;

Greetings,
Jochen
-- 
Einigkeit und Recht und Freiheit                http://www.Jochen-Kuepper.de
    Liberté, Égalité, Fraternité                GnuPG key: 44BCCD8E
        Sex, drugs and rock-n-roll

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/